Macaulay2 » Documentation
Packages » Macaulay2Doc » homological algebra » preimage
next | previous | forward | backward | up | index | toc

# preimage -- preimage of a map

## Description

## preimage of an ideal under a ring map

- Usage:
    `preimage(f, I)`
- Inputs:
  - f, a ring map,
  - M, an ideal, in the target of $f$;
- Outputs:
  - an ideal, the preimage of $I$ under the map $f$;

    i1 : R = QQ[x,y,z]

    o1 = R

    o1 : PolynomialRing

    i2 : S = QQ[t,u]

    o2 = S

    o2 : PolynomialRing

    i3 : f = map(R, S, {x*y, y*z})

    o3 = map (R, S, {x*y, y*z})

    o3 : RingMap R <-- S

    i4 : preimage_f ideal(x^2,y^2)

                 2        2
    o4 = ideal (u , t*u, t )

    o4 : Ideal of S

## preimage of a submodule under a module map

- Usage:
    `preimage(f, M)`
- Inputs:
  - f, a matrix,
  - M, a module, a submodule in the target of $f$;
- Outputs:
  - a module, the preimage of $M$ under the map $f$;

$M$ and target of $f$ should have the same ambient module.

## See also

- coimage -- coimage of a map
- image -- image of a map
- kernel -- kernel of a map
- source -- source of a map
- target -- target of a map

## Ways to use preimage:

- `preimage(Matrix,Module)`
- `preimage(RingMap,Ideal)`

## For the programmer

The object preimage is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/preimage-doc.m2:46:0.